All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap.sasmdx
Class Property

    com.sas.storage.olap.sasmdx.Property

All Implemented Interfaces:
  PropertyInterface

    @SASScope(value="ALL")
    public class Property

implements PropertyInterface

Contains the client side implementation for com.sas.storage.olap.PropertyInterface. This implementation uses the IOM/OLAP interfaces provided by the SAS OLAP server. There actually aren't any remote calls in this particular class. All remote metadata calls are made from within the MetadataInterface implementation.

Field Summary
`protected int` | `dataType`
`protected java.lang.Class` | `dataTypeClass`
`protected java.lang.String` | `uniqueDimensionName`
`protected java.lang.String` | `uniqueHierarchyName`

Fields inherited from interface com.sas.storage.olap.PropertyInterface
`TYPE_CELL, TYPE_MEMBER`

Constructor Summary
`Property(MetadataInterface metadata, com.sas.iom.SASMDX.ISession _session, java.lang.String cubeName, java.lang.String dimensionName, java.lang.String hierarchyName, java.lang.String uniqueLevelName, java.lang.String uniqueMemberName, java.lang.String name, java.lang.String label, int type, int dataType, java.lang.String description)`

Method Summary
`java.lang.Class` | `getDataType()` Returns the data type of the property.
`java.lang.String` | `getDescription()` Return the description of a property
`Filter` | `getFilter()` Returns a copy of the Filter object that was used to obtain this PropertyInterface.
`java.lang.String` | `getLabel()` Returns the property's label.
`LevelInterface` | `getLevel()` Returns the level that this property is a child of.
`MemberInterface` | `getMember()` Returns the member that this property is a child of.
`MetadataInterface` | `getMetadata()`
`java.lang.String` | `getName()` Returns the property's name.
`int` | `getType()` Returns the type of the property.
`java.lang.String` | `toString()`

Field Detail

### uniqueDimensionName

    protected java.lang.String uniqueDimensionName

### uniqueHierarchyName

    protected java.lang.String uniqueHierarchyName

### dataTypeClass

    protected java.lang.Class dataTypeClass

### dataType

    protected int dataType

Constructor Detail

### Property

    public Property(MetadataInterface metadata,
                    com.sas.iom.SASMDX.ISession _session,
                    java.lang.String cubeName,
                    java.lang.String dimensionName,
                    java.lang.String hierarchyName,
                    java.lang.String uniqueLevelName,
                    java.lang.String uniqueMemberName,
                    java.lang.String name,
                    java.lang.String label,
                    int type,
                    int dataType,
                    java.lang.String description)
             throws OLAPException

Throws:
  `OLAPException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()
                             throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the property's name. The name of the property.

  Specified by:
    `getName` in interface `PropertyInterface`
  Returns:
    The property's name.
  Throws:
    `OLAPException` - if a database error occurs

### getLabel

    public java.lang.String getLabel()
                              throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the property's label. The label is descriptive text about the property, i.e. a caption.

  Specified by:
    `getLabel` in interface `PropertyInterface`
  Returns:
    The property's label.
  Throws:
    `OLAPException` - if a database error occurs

### getType

    public int getType()
                throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the type of the property. TYPE_MEMBER, TYPE_CELL

  Specified by:
    `getType` in interface `PropertyInterface`
  Returns:
    The name of the type of the property.
  Throws:
    `OLAPException` - if a database error occurs

### getDataType

    public java.lang.Class getDataType()
                                throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the data type of the property.

  Specified by:
    `getDataType` in interface `PropertyInterface`
  Returns:
    The name of the data type of the property.
  Throws:
    `OLAPException` - if a database error occurs

### getDescription

    public java.lang.String getDescription()
                                    throws OLAPException

  Return the description of a property

  Specified by:
    `getDescription` in interface `PropertyInterface`
  Returns:
    description of property
  Throws:
    `OLAPException` - if a database error occurs

### getLevel

    public LevelInterface getLevel()
                            throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the level that this property is a child of.

  Specified by:
    `getLevel` in interface `PropertyInterface`
  Returns:
    The level that parents this property.
  Throws:
    `OLAPException` - if a database error occurs

### getMember

    public MemberInterface getMember()
                              throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns the member that this property is a child of.

  Specified by:
    `getMember` in interface `PropertyInterface`
  Returns:
    The member that parents this property.
  Throws:
    `OLAPException` - if a database error occurs

### getFilter

    public Filter getFilter()
                     throws OLAPException

  Description copied from interface: `PropertyInterface`
  Returns a copy of the Filter object that was used to obtain this PropertyInterface. The filter object may be applied explicitly via the MetadataInterface, or it may be created implicitly via a getProperties() method.

  Specified by:
    `getFilter` in interface `PropertyInterface`
  Returns:
    A copy of the Filter object that was used to obtain this PropertyInterface
  Throws:
    `OLAPException` - if a database error occurs

### getMetadata

    public MetadataInterface getMetadata()
                                  throws OLAPException

  Throws:
    `OLAPException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.